# CMAKE generated file: DO NOT EDIT!
# Generated by "Ninja" Generator, CMake Version 3.22

# This file contains all the build statements describing the
# compilation DAG.

# =============================================================================
# Write statements declared in CMakeLists.txt:
# 
# Which is the root file.
# =============================================================================

# =============================================================================
# Project: malig925_repro
# Configurations: Debug
# =============================================================================

#############################################
# Minimal version of Ninja required by this file

ninja_required_version = 1.5


#############################################
# Set configuration variable for custom commands.

CONFIGURATION = Debug
# =============================================================================
# Include auxiliary files.


#############################################
# Include rules file.

include CMakeFiles/rules.ninja

# =============================================================================

#############################################
# Logical path to working directory; prefix for absolute paths.

cmake_ninja_workdir = C$:/backup/C-Lab/gitsrc/TabMerge/repro/mali_g925_sync_sigsegv/app/.cxx/Debug/e72i4sl6/arm64-v8a/

#############################################
# Utility command for gen_shader_header

build gen_shader_header: phony CMakeFiles/gen_shader_header repro_comp_spv.h repro_comp_spv.spv

# =============================================================================
# Object build statements for SHARED_LIBRARY target malig925_repro


#############################################
# Order-only phony target for malig925_repro

build cmake_object_order_depends_target_malig925_repro: phony || gen_shader_header

build CMakeFiles/malig925_repro.dir/repro.cpp.o: CXX_COMPILER__malig925_repro_Debug C$:/backup/C-Lab/gitsrc/TabMerge/repro/mali_g925_sync_sigsegv/app/src/main/cpp/repro.cpp || cmake_object_order_depends_target_malig925_repro
  DEFINES = -DSYNC_MODE=SYNC_WAIT_SEMAPHORES -DVK_USE_PLATFORM_ANDROID_KHR -Dmalig925_repro_EXPORTS
  DEP_FILE = CMakeFiles\malig925_repro.dir\repro.cpp.o.d
  FLAGS = -g -DANDROID -fdata-sections -ffunction-sections -funwind-tables -fstack-protector-strong -no-canonical-prefixes -D_FORTIFY_SOURCE=2 -Wformat -Werror=format-security   -fno-limit-debug-info  -fPIC -std=c++17 -O2 -Wall
  INCLUDES = -IC:/backup/C-Lab/gitsrc/TabMerge/repro/mali_g925_sync_sigsegv/app/.cxx/Debug/e72i4sl6/arm64-v8a -IC:/Users/bykim/AppData/Local/Android/Sdk/ndk/25.1.8937393/sources/android/native_app_glue
  OBJECT_DIR = CMakeFiles\malig925_repro.dir
  OBJECT_FILE_DIR = CMakeFiles\malig925_repro.dir

build CMakeFiles/malig925_repro.dir/C_/Users/bykim/AppData/Local/Android/Sdk/ndk/25.1.8937393/sources/android/native_app_glue/android_native_app_glue.c.o: C_COMPILER__malig925_repro_Debug C$:/Users/bykim/AppData/Local/Android/Sdk/ndk/25.1.8937393/sources/android/native_app_glue/android_native_app_glue.c || cmake_object_order_depends_target_malig925_repro
  DEFINES = -DSYNC_MODE=SYNC_WAIT_SEMAPHORES -DVK_USE_PLATFORM_ANDROID_KHR -Dmalig925_repro_EXPORTS
  DEP_FILE = CMakeFiles\malig925_repro.dir\C_\Users\bykim\AppData\Local\Android\Sdk\ndk\25.1.8937393\sources\android\native_app_glue\android_native_app_glue.c.o.d
  FLAGS = -g -DANDROID -fdata-sections -ffunction-sections -funwind-tables -fstack-protector-strong -no-canonical-prefixes -D_FORTIFY_SOURCE=2 -Wformat -Werror=format-security  -fno-limit-debug-info  -fPIC -O2 -Wall
  INCLUDES = -IC:/backup/C-Lab/gitsrc/TabMerge/repro/mali_g925_sync_sigsegv/app/.cxx/Debug/e72i4sl6/arm64-v8a -IC:/Users/bykim/AppData/Local/Android/Sdk/ndk/25.1.8937393/sources/android/native_app_glue
  OBJECT_DIR = CMakeFiles\malig925_repro.dir
  OBJECT_FILE_DIR = CMakeFiles\malig925_repro.dir\C_\Users\bykim\AppData\Local\Android\Sdk\ndk\25.1.8937393\sources\android\native_app_glue


# =============================================================================
# Link build statements for SHARED_LIBRARY target malig925_repro


#############################################
# Link the shared library C:\backup\C-Lab\gitsrc\TabMerge\repro\mali_g925_sync_sigsegv\app\build\intermediates\cxx\Debug\e72i4sl6\obj\arm64-v8a\libmalig925_repro.so

build C$:/backup/C-Lab/gitsrc/TabMerge/repro/mali_g925_sync_sigsegv/app/build/intermediates/cxx/Debug/e72i4sl6/obj/arm64-v8a/libmalig925_repro.so: CXX_SHARED_LIBRARY_LINKER__malig925_repro_Debug CMakeFiles/malig925_repro.dir/repro.cpp.o CMakeFiles/malig925_repro.dir/C_/Users/bykim/AppData/Local/Android/Sdk/ndk/25.1.8937393/sources/android/native_app_glue/android_native_app_glue.c.o || gen_shader_header
  LANGUAGE_COMPILE_FLAGS = -g -DANDROID -fdata-sections -ffunction-sections -funwind-tables -fstack-protector-strong -no-canonical-prefixes -D_FORTIFY_SOURCE=2 -Wformat -Werror=format-security   -fno-limit-debug-info
  LINK_FLAGS = -static-libstdc++ -Wl,--build-id=sha1 -Wl,--no-rosegment -Wl,--fatal-warnings -Wl,--gc-sections -Wl,--no-undefined -Qunused-arguments
  LINK_LIBRARIES = -landroid  -llog  -lvulkan  -latomic -lm
  OBJECT_DIR = CMakeFiles\malig925_repro.dir
  POST_BUILD = cd .
  PRE_LINK = cd .
  SONAME = libmalig925_repro.so
  SONAME_FLAG = -Wl,-soname,
  TARGET_FILE = C:\backup\C-Lab\gitsrc\TabMerge\repro\mali_g925_sync_sigsegv\app\build\intermediates\cxx\Debug\e72i4sl6\obj\arm64-v8a\libmalig925_repro.so
  TARGET_PDB = malig925_repro.so.dbg


#############################################
# Utility command for edit_cache

build CMakeFiles/edit_cache.util: CUSTOM_COMMAND
  COMMAND = cmd.exe /C "cd /D C:\backup\C-Lab\gitsrc\TabMerge\repro\mali_g925_sync_sigsegv\app\.cxx\Debug\e72i4sl6\arm64-v8a && C:\Users\bykim\AppData\Local\Android\Sdk\cmake\3.22.1\bin\cmake.exe -E echo "No interactive CMake dialog available.""
  DESC = No interactive CMake dialog available...
  restat = 1

build edit_cache: phony CMakeFiles/edit_cache.util


#############################################
# Utility command for rebuild_cache

build CMakeFiles/rebuild_cache.util: CUSTOM_COMMAND
  COMMAND = cmd.exe /C "cd /D C:\backup\C-Lab\gitsrc\TabMerge\repro\mali_g925_sync_sigsegv\app\.cxx\Debug\e72i4sl6\arm64-v8a && C:\Users\bykim\AppData\Local\Android\Sdk\cmake\3.22.1\bin\cmake.exe --regenerate-during-build -SC:\backup\C-Lab\gitsrc\TabMerge\repro\mali_g925_sync_sigsegv\app\src\main\cpp -BC:\backup\C-Lab\gitsrc\TabMerge\repro\mali_g925_sync_sigsegv\app\.cxx\Debug\e72i4sl6\arm64-v8a"
  DESC = Running CMake to regenerate build system...
  pool = console
  restat = 1

build rebuild_cache: phony CMakeFiles/rebuild_cache.util


#############################################
# Phony custom command for CMakeFiles\gen_shader_header

build CMakeFiles/gen_shader_header | ${cmake_ninja_workdir}CMakeFiles/gen_shader_header: phony repro_comp_spv.h


#############################################
# Custom command for repro_comp_spv.h

build repro_comp_spv.h | ${cmake_ninja_workdir}repro_comp_spv.h: CUSTOM_COMMAND repro_comp_spv.spv C$:/backup/C-Lab/gitsrc/TabMerge/repro/mali_g925_sync_sigsegv/app/src/main/cpp/embed_spv.cmake
  COMMAND = cmd.exe /C "cd /D C:\backup\C-Lab\gitsrc\TabMerge\repro\mali_g925_sync_sigsegv\app\.cxx\Debug\e72i4sl6\arm64-v8a && C:\Users\bykim\AppData\Local\Android\Sdk\cmake\3.22.1\bin\cmake.exe -DINPUT=C:/backup/C-Lab/gitsrc/TabMerge/repro/mali_g925_sync_sigsegv/app/.cxx/Debug/e72i4sl6/arm64-v8a/repro_comp_spv.spv -DOUTPUT=C:/backup/C-Lab/gitsrc/TabMerge/repro/mali_g925_sync_sigsegv/app/.cxx/Debug/e72i4sl6/arm64-v8a/repro_comp_spv.h -P C:/backup/C-Lab/gitsrc/TabMerge/repro/mali_g925_sync_sigsegv/app/src/main/cpp/embed_spv.cmake"
  DESC = embed: repro_comp.spv ¡æ repro_comp_spv.h
  restat = 1


#############################################
# Custom command for repro_comp_spv.spv

build repro_comp_spv.spv | ${cmake_ninja_workdir}repro_comp_spv.spv: CUSTOM_COMMAND C$:/backup/C-Lab/gitsrc/TabMerge/repro/mali_g925_sync_sigsegv/app/src/main/cpp/repro.comp
  COMMAND = cmd.exe /C "cd /D C:\backup\C-Lab\gitsrc\TabMerge\repro\mali_g925_sync_sigsegv\app\.cxx\Debug\e72i4sl6\arm64-v8a && C:\Users\bykim\AppData\Local\Android\Sdk\ndk\25.1.8937393\shader-tools\windows-x86_64\glslc.exe C:/backup/C-Lab/gitsrc/TabMerge/repro/mali_g925_sync_sigsegv/app/src/main/cpp/repro.comp -o C:/backup/C-Lab/gitsrc/TabMerge/repro/mali_g925_sync_sigsegv/app/.cxx/Debug/e72i4sl6/arm64-v8a/repro_comp_spv.spv"
  DESC = glslc: repro.comp ¡æ repro_comp.spv
  restat = 1

# =============================================================================
# Target aliases.

build libmalig925_repro.so: phony C$:/backup/C-Lab/gitsrc/TabMerge/repro/mali_g925_sync_sigsegv/app/build/intermediates/cxx/Debug/e72i4sl6/obj/arm64-v8a/libmalig925_repro.so

build malig925_repro: phony C$:/backup/C-Lab/gitsrc/TabMerge/repro/mali_g925_sync_sigsegv/app/build/intermediates/cxx/Debug/e72i4sl6/obj/arm64-v8a/libmalig925_repro.so

# =============================================================================
# Folder targets.

# =============================================================================

#############################################
# Folder: C:/backup/C-Lab/gitsrc/TabMerge/repro/mali_g925_sync_sigsegv/app/.cxx/Debug/e72i4sl6/arm64-v8a

build all: phony C$:/backup/C-Lab/gitsrc/TabMerge/repro/mali_g925_sync_sigsegv/app/build/intermediates/cxx/Debug/e72i4sl6/obj/arm64-v8a/libmalig925_repro.so

# =============================================================================
# Built-in targets


#############################################
# Re-run CMake if any of its inputs changed.

build build.ninja: RERUN_CMAKE | C$:/Users/bykim/AppData/Local/Android/Sdk/cmake/3.22.1/share/cmake-3.22/Modules/CMakeCInformation.cmake C$:/Users/bykim/AppData/Local/Android/Sdk/cmake/3.22.1/share/cmake-3.22/Modules/CMakeCXXInformation.cmake C$:/Users/bykim/AppData/Local/Android/Sdk/cmake/3.22.1/share/cmake-3.22/Modules/CMakeCommonLanguageInclude.cmake C$:/Users/bykim/AppData/Local/Android/Sdk/cmake/3.22.1/share/cmake-3.22/Modules/CMakeGenericSystem.cmake C$:/Users/bykim/AppData/Local/Android/Sdk/cmake/3.22.1/share/cmake-3.22/Modules/CMakeInitializeConfigs.cmake C$:/Users/bykim/AppData/Local/Android/Sdk/cmake/3.22.1/share/cmake-3.22/Modules/CMakeLanguageInformation.cmake C$:/Users/bykim/AppData/Local/Android/Sdk/cmake/3.22.1/share/cmake-3.22/Modules/CMakeSystemSpecificInformation.cmake C$:/Users/bykim/AppData/Local/Android/Sdk/cmake/3.22.1/share/cmake-3.22/Modules/CMakeSystemSpecificInitialize.cmake C$:/Users/bykim/AppData/Local/Android/Sdk/cmake/3.22.1/share/cmake-3.22/Modules/Compiler/CMakeCommonCompilerMacros.cmake C$:/Users/bykim/AppData/Local/Android/Sdk/cmake/3.22.1/share/cmake-3.22/Modules/Compiler/Clang-C.cmake C$:/Users/bykim/AppData/Local/Android/Sdk/cmake/3.22.1/share/cmake-3.22/Modules/Compiler/Clang-CXX.cmake C$:/Users/bykim/AppData/Local/Android/Sdk/cmake/3.22.1/share/cmake-3.22/Modules/Compiler/Clang.cmake C$:/Users/bykim/AppData/Local/Android/Sdk/cmake/3.22.1/share/cmake-3.22/Modules/Compiler/GNU.cmake C$:/Users/bykim/AppData/Local/Android/Sdk/cmake/3.22.1/share/cmake-3.22/Modules/Platform/Android-Clang-C.cmake C$:/Users/bykim/AppData/Local/Android/Sdk/cmake/3.22.1/share/cmake-3.22/Modules/Platform/Android-Clang-CXX.cmake C$:/Users/bykim/AppData/Local/Android/Sdk/cmake/3.22.1/share/cmake-3.22/Modules/Platform/Android-Clang.cmake C$:/Users/bykim/AppData/Local/Android/Sdk/cmake/3.22.1/share/cmake-3.22/Modules/Platform/Android-Initialize.cmake C$:/Users/bykim/AppData/Local/Android/Sdk/cmake/3.22.1/share/cmake-3.22/Modules/Platform/Android.cmake C$:/Users/bykim/AppData/Local/Android/Sdk/cmake/3.22.1/share/cmake-3.22/Modules/Platform/Linux.cmake C$:/Users/bykim/AppData/Local/Android/Sdk/cmake/3.22.1/share/cmake-3.22/Modules/Platform/UnixPaths.cmake C$:/Users/bykim/AppData/Local/Android/Sdk/ndk/25.1.8937393/build/cmake/android-legacy.toolchain.cmake C$:/Users/bykim/AppData/Local/Android/Sdk/ndk/25.1.8937393/build/cmake/android.toolchain.cmake C$:/Users/bykim/AppData/Local/Android/Sdk/ndk/25.1.8937393/build/cmake/flags.cmake C$:/Users/bykim/AppData/Local/Android/Sdk/ndk/25.1.8937393/build/cmake/hooks/pre/Android-Clang.cmake C$:/Users/bykim/AppData/Local/Android/Sdk/ndk/25.1.8937393/build/cmake/hooks/pre/Android-Initialize.cmake C$:/Users/bykim/AppData/Local/Android/Sdk/ndk/25.1.8937393/build/cmake/hooks/pre/Android.cmake C$:/Users/bykim/AppData/Local/Android/Sdk/ndk/25.1.8937393/build/cmake/platforms.cmake C$:/backup/C-Lab/gitsrc/TabMerge/repro/mali_g925_sync_sigsegv/app/src/main/cpp/CMakeLists.txt CMakeCache.txt CMakeFiles/3.22.1-g37088a8-dirty/CMakeCCompiler.cmake CMakeFiles/3.22.1-g37088a8-dirty/CMakeCXXCompiler.cmake CMakeFiles/3.22.1-g37088a8-dirty/CMakeSystem.cmake
  pool = console


#############################################
# A missing CMake input file is not an error.

build C$:/Users/bykim/AppData/Local/Android/Sdk/cmake/3.22.1/share/cmake-3.22/Modules/CMakeCInformation.cmake C$:/Users/bykim/AppData/Local/Android/Sdk/cmake/3.22.1/share/cmake-3.22/Modules/CMakeCXXInformation.cmake C$:/Users/bykim/AppData/Local/Android/Sdk/cmake/3.22.1/share/cmake-3.22/Modules/CMakeCommonLanguageInclude.cmake C$:/Users/bykim/AppData/Local/Android/Sdk/cmake/3.22.1/share/cmake-3.22/Modules/CMakeGenericSystem.cmake C$:/Users/bykim/AppData/Local/Android/Sdk/cmake/3.22.1/share/cmake-3.22/Modules/CMakeInitializeConfigs.cmake C$:/Users/bykim/AppData/Local/Android/Sdk/cmake/3.22.1/share/cmake-3.22/Modules/CMakeLanguageInformation.cmake C$:/Users/bykim/AppData/Local/Android/Sdk/cmake/3.22.1/share/cmake-3.22/Modules/CMakeSystemSpecificInformation.cmake C$:/Users/bykim/AppData/Local/Android/Sdk/cmake/3.22.1/share/cmake-3.22/Modules/CMakeSystemSpecificInitialize.cmake C$:/Users/bykim/AppData/Local/Android/Sdk/cmake/3.22.1/share/cmake-3.22/Modules/Compiler/CMakeCommonCompilerMacros.cmake C$:/Users/bykim/AppData/Local/Android/Sdk/cmake/3.22.1/share/cmake-3.22/Modules/Compiler/Clang-C.cmake C$:/Users/bykim/AppData/Local/Android/Sdk/cmake/3.22.1/share/cmake-3.22/Modules/Compiler/Clang-CXX.cmake C$:/Users/bykim/AppData/Local/Android/Sdk/cmake/3.22.1/share/cmake-3.22/Modules/Compiler/Clang.cmake C$:/Users/bykim/AppData/Local/Android/Sdk/cmake/3.22.1/share/cmake-3.22/Modules/Compiler/GNU.cmake C$:/Users/bykim/AppData/Local/Android/Sdk/cmake/3.22.1/share/cmake-3.22/Modules/Platform/Android-Clang-C.cmake C$:/Users/bykim/AppData/Local/Android/Sdk/cmake/3.22.1/share/cmake-3.22/Modules/Platform/Android-Clang-CXX.cmake C$:/Users/bykim/AppData/Local/Android/Sdk/cmake/3.22.1/share/cmake-3.22/Modules/Platform/Android-Clang.cmake C$:/Users/bykim/AppData/Local/Android/Sdk/cmake/3.22.1/share/cmake-3.22/Modules/Platform/Android-Initialize.cmake C$:/Users/bykim/AppData/Local/Android/Sdk/cmake/3.22.1/share/cmake-3.22/Modules/Platform/Android.cmake C$:/Users/bykim/AppData/Local/Android/Sdk/cmake/3.22.1/share/cmake-3.22/Modules/Platform/Linux.cmake C$:/Users/bykim/AppData/Local/Android/Sdk/cmake/3.22.1/share/cmake-3.22/Modules/Platform/UnixPaths.cmake C$:/Users/bykim/AppData/Local/Android/Sdk/ndk/25.1.8937393/build/cmake/android-legacy.toolchain.cmake C$:/Users/bykim/AppData/Local/Android/Sdk/ndk/25.1.8937393/build/cmake/android.toolchain.cmake C$:/Users/bykim/AppData/Local/Android/Sdk/ndk/25.1.8937393/build/cmake/flags.cmake C$:/Users/bykim/AppData/Local/Android/Sdk/ndk/25.1.8937393/build/cmake/hooks/pre/Android-Clang.cmake C$:/Users/bykim/AppData/Local/Android/Sdk/ndk/25.1.8937393/build/cmake/hooks/pre/Android-Initialize.cmake C$:/Users/bykim/AppData/Local/Android/Sdk/ndk/25.1.8937393/build/cmake/hooks/pre/Android.cmake C$:/Users/bykim/AppData/Local/Android/Sdk/ndk/25.1.8937393/build/cmake/platforms.cmake C$:/backup/C-Lab/gitsrc/TabMerge/repro/mali_g925_sync_sigsegv/app/src/main/cpp/CMakeLists.txt CMakeCache.txt CMakeFiles/3.22.1-g37088a8-dirty/CMakeCCompiler.cmake CMakeFiles/3.22.1-g37088a8-dirty/CMakeCXXCompiler.cmake CMakeFiles/3.22.1-g37088a8-dirty/CMakeSystem.cmake: phony


#############################################
# Clean all the built files.

build clean: CLEAN


#############################################
# Print all primary targets available.

build help: HELP


#############################################
# Make the all target the default.

default all
